swagger: "2.0"
info:
  title: beego Test API
  description: beego has a very cool tools to autogenerate documents for your API
  version: 1.0.0
  termsOfService: http://beego.me/
  contact:
    email: astaxie@gmail.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
basePath: /edbapi
paths:
  /calculate/add:
    post:
      tags:
      - calculate
      description: 编辑指标接口
      operationId: CalculateController.编辑指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EditEdbInfoReq'
  /calculate/batch/save:
    post:
      tags:
      - calculate
      description: 累计值转月-同比值-同差等计算新增接口
      operationId: CalculateController.累计值转月-同比值-同差等计算新增
      parameters:
      - in: body
        name: request
        description: type json string
        required: true
        schema:
          $ref: '#/definitions/models.EdbInfoCalculateBatchSaveReq'
      responses:
        Ret=200:
          description: 返回指标id
  /calculate/refresh:
    post:
      tags:
      - calculate
      description: 刷新计算指标接口
      operationId: CalculateController.刷新计算指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /cffex/add:
    post:
      tags:
      - cffex
      description: 新增中金所指标接口
      operationId: CffexController.新增中金所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /cffex/refresh:
    post:
      tags:
      - cffex
      description: 刷新中金所指标接口
      operationId: CffexController.刷新中金所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /dl/add:
    post:
      tags:
      - dl
      description: 新增大商所指标接口
      operationId: DlController.新增大商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /dl/refresh:
    post:
      tags:
      - dl
      description: 刷新大商所指标接口
      operationId: DlController.刷新大商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /gie/add:
    post:
      tags:
      - gie
      description: 新增欧洲天然气指标接口
      operationId: GieController.新增欧洲天然气指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /gie/refresh:
    post:
      tags:
      - gie
      description: 刷新欧洲天然气指标接口
      operationId: GieController.刷新欧洲天然气指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /lt/add:
    post:
      tags:
      - lt
      description: 新增路透指标接口
      operationId: LtController.新增路透指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /lt/refresh:
    post:
      tags:
      - lt
      description: 刷新路透社指标接口
      operationId: LtController.刷新路透社指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /lz/add:
    post:
      tags:
      - lz
      description: 新增隆众指标接口
      operationId: LzController.新增隆众指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /lz/refresh:
    post:
      tags:
      - lz
      description: 刷新隆众指标接口
      operationId: LzController.刷新隆众指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /manual/add:
    post:
      tags:
      - manual
      description: 新增手工指标接口
      operationId: ManualController.新增手工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /manual/refresh:
    post:
      tags:
      - manual
      description: 刷新手工指标接口
      operationId: ManualController.刷新手工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /mysteel/add:
    post:
      tags:
      - mysteel
      description: 新增钢联指标接口
      operationId: MySteelController.新增钢联指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /mysteel/refresh:
    post:
      tags:
      - mysteel
      description: 刷新钢联指标接口
      operationId: MySteelController.刷新钢联指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /pb/add:
    post:
      tags:
      - pb
      description: 新增彭博指标接口
      operationId: PbController.新增彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /pb/refresh:
    post:
      tags:
      - pb
      description: 刷新彭博指标接口
      operationId: PbController.刷新彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /sh/add:
    post:
      tags:
      - sh
      description: 新增上期所指标接口
      operationId: ShController.新增上期所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /sh/refresh:
    post:
      tags:
      - sh
      description: 刷新上期所指标接口
      operationId: ShController.刷新上期所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /shfe/add:
    post:
      tags:
      - shfe
      description: 新增上期能源指标接口
      operationId: ShfeController.新增上期能源指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /shfe/refresh:
    post:
      tags:
      - shfe
      description: 刷新上期能源指标接口
      operationId: ShfeController.刷新上期能源指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /smm/add:
    post:
      tags:
      - smm
      description: 新增有色指标接口
      operationId: SmmController.新增有色指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /smm/refresh:
    post:
      tags:
      - smm
      description: 刷新有色指标接口
      operationId: SmmController.刷新有色指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /ths/add:
    post:
      tags:
      - ths
      description: 新增同花顺指标接口
      operationId: ThsController.新增同花顺指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /ths/refresh:
    post:
      tags:
      - ths
      description: 刷新同花顺指标接口
      operationId: ThsController.刷新同花顺指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /wind/add:
    post:
      tags:
      - wind
      description: 新增wind指标接口
      operationId: WindController.新增wind指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /wind/refresh:
    post:
      tags:
      - wind
      description: 刷新wind指标接口
      operationId: WindController.刷新wind指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /zz/add:
    post:
      tags:
      - zz
      description: 新增郑商所指标接口
      operationId: ZzController.新增郑商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /zz/refresh:
    post:
      tags:
      - zz
      description: 刷新郑商所指标接口
      operationId: ZzController.刷新郑商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
definitions:
  10659.0xc00059e9f0.false:
    title: "false"
    type: object
  models.AddEdbInfoReq:
    title: AddEdbInfoReq
    type: object
    properties:
      EdbCode:
        description: 指标编码
        type: string
  models.EdbInfoCalculateBatchSaveReq:
    title: EdbInfoCalculateBatchSaveReq
    type: object
    properties:
      AdminId:
        description: 添加人id
        type: integer
        format: int64
      AdminName:
        description: 添加人名称
        type: string
      CalculateFormula:
        description: 计算公式
        type: string
      ClassifyId:
        description: 分类id
        type: integer
        format: int64
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      EdbInfoIdArr:
        type: array
        items:
          $ref: '#/definitions/10659.0xc00059e9f0.false'
      EdbName:
        description: 指标名称
        type: string
      Formula:
        description: N值/移动天数
        type: string
      Frequency:
        description: 频度
        type: string
      FromEdbInfoId:
        description: 计算来源指标id
        type: integer
        format: int64
      MoveFrequency:
        description: 移动频度:天/周/月/季/年
        type: string
      MoveType:
        description: 移动方式:1:领先(默认),2:滞后
        type: integer
        format: int64
      Source:
        description: 来源:1:同花顺,2:wind,3:彭博,4:指标运算,5:累计值转月,6:同比值,7:同差值,8:N数值移动平均计算,12:环比值,13:环差值,14:变频
        type: integer
        format: int64
      Unit:
        description: 单位
        type: string
  models.EditEdbInfoReq:
    title: EditEdbInfoReq
    type: object
  models.RefreshEdbInfoReq:
    title: RefreshEdbInfoReq
    type: object
    properties:
      EdbCode:
        description: 指标编码
        type: string
      EdbInfoId:
        description: 指标ID
        type: integer
        format: int64
      StartDate:
        description: 开始日期
        type: string
tags:
- name: ths
  description: |
    同花顺
- name: pb
  description: |
    彭博
- name: wind
  description: |
    wind
- name: lz
  description: |
    隆众
- name: lt
  description: |
    路透社
- name: smm
  description: |
    有色
- name: mysteel
  description: |
    钢联
- name: manual
  description: |
    手工指标
- name: calculate
  description: |
    CalculateController 计算指标
- name: zz
  description: |
    郑商所
- name: dl
  description: |
    大商所
- name: sh
  description: |
    上期所
- name: cffex
  description: |
    中金所
- name: shfe
  description: |
    上期能源
- name: gie
  description: |
    欧洲天然气
